import os
import sys
import tkinter as tk
from app import ExcelConverterApp
import openpyxl
from copy import copy

def main():
    """
    Main entry point for the Excel Converter application.
    """
    # Create the main window
    root = tk.Tk()
    root.title("日本工资明细转换工具")
    
    # Set window icon if available
    if os.path.exists("icon.ico"):
        root.iconbitmap("icon.ico")
    
    # Create and run the application
    app = ExcelConverterApp(root)
    
    # Center window on screen
    window_width = 800
    window_height = 600
    screen_width = root.winfo_screenwidth()
    screen_height = root.winfo_screenheight()
    x = (screen_width - window_width) // 2
    y = (screen_height - window_height) // 2
    root.geometry(f"{window_width}x{window_height}+{x}+{y}")
    
    # Run the application
    root.mainloop()

if __name__ == "__main__":
    main() 